Summary: XFree86 Window System servers and basic programs
Name: XFree86
Version: 3.3.3.1
Release: 1.1
Copyright: MIT
Group: X11/XFree86
Requires: pam >= 0.59, xbanner
Source0: ftp://ftp.xfree86.org/pub/XFree86/3.3.3/X333src-1.tgz
Source1: ftp://ftp.xfree86.org/pub/XFree86/3.3.3/X333src-2.tgz
Source2: ftp://ftp.xfree86.org/pub/XFree86/3.3.3/X333src-3.tgz

Source4: xdm.pamd
Source6: xfs.config
Source10: XBanner1.ras.gz
Source11: XBanner8.ras.gz
Source12: XBannerG.ras.gz

Patch0: XFree86-3.3.3-rh.patch
Patch1: XFree86-3.3-xdm.patch
Patch2: XFree86-3.3.2-fsstnd.patch
Patch3: XFree86-3.3.2-pam.patch
Patch5: XFree86-3.3.3-alpha-sockets.patch
Patch10: XFree86-3.3.3-sparc.patch
Patch11: XFree86-3.3.2-ffb.patch
Patch13: XFree86-3.3.2.3-rhmods.patch

Patch42: XFree86-3.3.2.3-jay.patch

Patch50: XFree86-3.3.2.3-86setup.patch
Patch51: XFree86-3.3.3-czskkbd.patch
Patch52: XFree86-3.3-iso88592xlclocale.patch
Patch54: XFree86-3.3.3-joy.patch
Patch55: XFree86-3.3.3-arm.patch

Patch56: XFree86-3.3.3.1-dainbramage.patch

Patch100: 3.3.3-3.3.3.1.diff

Exclusivearch: i386 alpha sparc m68k

%ifarch sparc
Obsoletes: X11R6.1
%endif
Obsoletes: xserver-wrapper

BuildRoot: /var/tmp/%{name}-root

%description
X Windows is a full featured graphical user interface featuring multiple
windows, multiple clients, and different window styles. It is used on
most Unix platforms, and the clients can also be run under other popular
windowing systems. The X protocol allows applications to be run on either
the local machine or across a network, providing flexibility in client/server
mplementations.

This package contains the basic fonts, programs and documentation for an X
workstation. It does not provide the X server which drives your video
hardware -- those are available in other package.

%package 75dpi-fonts
Summary: X11R6 75dpi fonts - only need on server side
Group: X11/XFree86
%ifarch sparc
Obsoletes: X11R6.1-75dpi-fonts
%endif

%description 75dpi-fonts
The 75dpi fonts used on most Linux systems. Users with high resolution
displays may prefer the 100dpi fonts available in a separate package.

%package 100dpi-fonts
Summary: X11R6 100dpi fonts - only need on server side
Group: X11/XFree86
%ifarch sparc
Obsoletes: X11R6.1-100dpi-fonts
%endif

%description 100dpi-fonts
The 100dpi fonts used on most Linux systems. Users with high resolution
displays may prefer the 100dpi fonts available in a separate package.

%package cyrillic-fonts
Summary: Cyrillic fonts - only need on serer side
Group: X11/XFree86

%description cyrillic-fonts
The cyrillic fonts included with XFree86 3.3.2 and higher.  Users who
use a language requiring the cyrillic character set should install this
package.

%package libs
Summary: X11R6 shared libraries
Group: X11/XFree86
Prereq: grep /sbin/ldconfig
%ifarch sparc
Obsoletes: X11R6.1-libs
%endif

%description libs
This package contains the shared libraries most X programs need to run
properly. They are in a separate package to reduce the disk space needed
to run X applications on a machine w/o an X server (over a network).

%package devel
Summary: X11R6 static libraries, headers and programming man pages
Group: X11/XFree86
%ifarch sparc
Obsoletes: X11R6.1-devel
%endif

%description devel
Libraries, header files, and documentation for developing programs that
run as X clients. It includes the base Xlib library as well as the Xt
and Xaw widget sets. For information on programming with these libraries,
Red Hat recommends the series of books on X Programming produced by
O'Reilly and Associates.

%package S3
Summary: XFree86 S3 server
Group: X11/XFree86/Servers

%description S3
X server for cards built around chips from S3, including most #9 cards,
many Diamond Stealth cards, Orchid Farenheits, Mirco Crystal 8S, most STB
cards, and some motherboards with built in graphics accelerators (such
as the IBM ValuePoint line).

%package I128
Summary: XFree86 #9 Imagine 128 Server
Group: X11/XFree86/Servers

%description I128
X server for the #9 Imagine 128 board.

%package S3V
Summary: XFree86 S3 Virge server
Group: X11/XFree86/Servers

%description S3V
X server for cards built around the S3 Virge chipset.

%package Mach64
Summary: XFree86 Mach64 server
Group: X11/XFree86/Servers

%description Mach64
X server for ATI Mach64 based cards such as the Graphics Xpression, GUP Turbo,
and WinTurbo cards. This server is known to have problems with some Mach64
cards which newer versions of XFree86 (which were only available as BETA
releases at the time of this release) may fix. Look at http://www.xfree86.org
for information on updating this server.

%package Sun
Summary: XFree86 Sun server for monochrome and 8-bit color SBUS framebuffers
Group: X11/XFree86/Servers
Obsoletes: X11R6.1-Sun

%description Sun
To run X Windows programs requires an X server for your specific hardware.
This package includes the X server for Sun computers with monochrome and
8-bit color SBUS framebuffers.

%package SunMono
Summary: XFree86 Sun server for monochrome SBUS framebuffers only
Group: X11/XFree86/Servers
Obsoletes: X11R6.1-SunMono

%description SunMono
To run X Windows programs requires an X server for your specific hardware.
This package includes the X server for Sun computers with monochrome
SBUS framebuffers only.

%package Sun24
Summary: XFree86 Sun server for all supported SBUS framebuffers
Group: X11/XFree86/Servers
Obsoletes: X11R6.1-Sun24

%description Sun24
To run X Windows programs requires an X server for your specific hardware.
This package includes the X server for Sun computers with all supported
SBUS framebuffers.

%package Xvfb
Summary: XFree86 Xvfb server
Group: X11/XFree86/Servers

%description Xvfb
Virtual framebuffer X server.

%package Xnest
Summary: XFree86 Xnest server
Group: X11/XFree86/Servers

%description Xnest
X server which runs in a X window.

%package 8514
Summary: XFree86 8514 server
Group: X11/XFree86/Servers

%description 8514
X server for older IBM 8514 cards and compatibles from companies such as
ATI.

%package AGX
Summary: XFree86 AGX server
Group: X11/XFree86/Servers

%description AGX
X server for AGX based cards such as the Boca Vortex, Orchid Celsius,
Spider Black Widow, and Hercules Graphite.

%package Mach32
Summary: XFree86 Mach32 server
Group: X11/XFree86/Servers

%description Mach32
X server for cards built around ATI's Mach32 chip, including the ATI
Graphics Ultra Pro and Ultra Plus.

%package Mach8
Summary: XFree86 Mach8 server
Group: X11/XFree86/Servers

%description Mach8
X server for cards built around ATI's Mach8 chip, including the ATI
8514 Ultra and Graphics Ultra.

%package Mono
Summary: XFree86 Mono server
Group: X11/XFree86/Servers

%description Mono
Generic monochrome (2 color) server for VGA cards, which works on nearly
all VGA style boards with limited resolutions.

%package P9000
Summary: XFree86 P9000 server
Group: X11/XFree86/Servers

%description P9000
X server for cards built around the Weitek P9000 chips such as most
Diamond Viper cards and the Orchid P9000 card.

%package SVGA
Summary: XFree86 SVGA server
Group: X11/XFree86/Servers

%description SVGA
X server for most simple framebuffer SVGA devices, including cards built
from ET4000 chips, Cirrus Logic chips, Chips and Technologies laptop chips,
Trident 8900 and 9000 chips. It works for Diamond Speedstar, Orchid
Kelvins, STB Nitros and Horizons, Genoa 8500VL, most Actix boards,
the Spider VLB Plus. It also works for many other chips and cards, so try
this server if you are having problems.

%package VGA16
Summary: XFree86 VGA16 server
Group: X11/XFree86/Servers

%description VGA16
Generic 16 color server for VGA boards. This works on nearly all VGA style
graphics boards, but only in low resolution with few colors.

%package W32
Summary: XFree86 W32 server
Group: X11/XFree86/Servers

%description W32
X server for cards built around the ET4000/W32 chips, including the
Genoa 8900 Phantom 32i, Hercules Dynamite cards, LeadTek WinFast S200,
Sigma Concorde, STB LightSpeed, TechWorks Thunderbolt, and ViewTop PCI.

%package 3DLabs 
Summary: XFree86 3DLabs server
Group: X11/XFree86/Servers

%description 3DLabs
X server for cards built around 3D Labs GLINT and Permedia chipsets,
including GLINT 500TX with IBM RGB526 RAMDAC, GLINT MX with IBM RGB526
and IBM RGB640 RAMDAC, Permedia with IBM RGB526 RAMDAC, and the
Permedia 2 (classic, 2a, 2v).

%package TGA
Summary: XFree86 TGA server
Group: X11/XFree86/Servers

%description TGA
Eight bit X server for Digital TGA boards based on the DC21040 chips. These
adapters are very popular in Alpha workstations and are included with Alpha
UDB (Multia) machines.

%package FBDev
Summary: XFree68 FBDev server
Group: X11/XFree86/Servers

%description FBDev
X server for the generic frame buffer device used on the Amiga, Atari
and Macintosh/m68k machines.

%package XF86Setup
Group: X11/XFree86
Summary: Graphical configuration tool for XFree86
%ifarch i386
Requires: XFree86-VGA16
%endif

%package xfs
Group: X11/XFree86
Summary: Font server for XFree86

%description xfs
This is a font server for XFree86.  You can serve fonts to other X servers
remotely with this package, and the remote system will be able to use all
fonts installed on the font server, even if they are not installed on the
remote computer.

%description XF86Setup
XF86Setup is a graphical configuration tool for the XFree86 family of
servers. It allows you to configure video settings, keyboard layouts,
mouse type, and other miscellaneous options. It is slow however, and
requires the generic VGA 16 color server be available.

%prep
%setup -q -c -a 1 -a 2

# Clean up to save a *lot* of disk space
find . -name "*.orig" -print | xargs rm -f
find . -size 0 -print | xargs rm -f

%patch0 -p1 -b .rh
%patch1 -p1 -b .rhxdm
%patch2 -p1 -b .fsstnd
%patch3 -p1 -b .nopam

# the following upgrades the tree to 3.3.3.1
patch -d xc -p1 -b -z .3.3.3.1 -s < %PATCH100

# the following patch is in CVS diff format, needs POSIXLY_CORRECT env var.
#POSIXLY_CORRECT=1 patch -p1 -b -z .alpha-sockets -s < %PATCH5

# sparc patches from ultrapenguin
%patch10 -p1 -b .sparc
%patch11 -p1 -b .ffb
%patch13 -p1 -b .rhmods

%patch42 -p1 -b .jay

%patch51 -p1 -b .czskkbd
%patch52 -p0 -b .iso88592locale
# we don't want to turn this on until we ship with a 2.2 kernel.
#%patch54 -p1 -b .joy
%patch55 -p1 -b .arm
%patch56 -p1 -b .dainbramage

%build
%ifarch alpha
make World -C xc CDEBUGFLAGS="$RPM_OPT_FLAGS -Wa,-m21164a"
%else
make World -C xc CDEBUGFLAGS="$RPM_OPT_FLAGS"
%endif

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/pam.d
install -m 644 ${RPM_SOURCE_DIR}/xdm.pamd $RPM_BUILD_ROOT/etc/pam.d/xdm

mkdir -p $RPM_BUILD_ROOT/usr/include
rm -f $RPM_BUILD_ROOT/usr/include/X11
ln -s ../X11R6/include/X11 $RPM_BUILD_ROOT/usr/include/X11

make DESTDIR=$RPM_BUILD_ROOT install install.man -C xc

# we don't want the libz.a from XFree86 -- it's broken
rm -f $RPM_BUILD_ROOT/usr/X11R6/lib/libz.a

# setup the default X server
rm -f $RPM_BUILD_ROOT/usr/X11R6/bin/X
ln -s Xwrapper $RPM_BUILD_ROOT/usr/X11R6/bin/X

# don't make SuperProbe setuid
# don't make the servers setuid
(	cd $RPM_BUILD_ROOT/usr/X11R6/bin
	chmod 755 SuperProbe XF86_* Xsun* XF68_*
)

# Move config config stuff to /etc/X11
mkdir -p $RPM_BUILD_ROOT/etc/X11
ln -sf ../../../../etc/X11/XF86Config $RPM_BUILD_ROOT/usr/X11R6/lib/X11/XF86Config

for i in xdm twm fs xsm; do
    rm -rf $RPM_BUILD_ROOT/etc/X11/$i
    cp -ar $RPM_BUILD_ROOT/usr/X11R6/lib/X11/$i $RPM_BUILD_ROOT/etc/X11
    rm -rf $RPM_BUILD_ROOT/usr/X11R6/lib/X11/$i
    ln -sf ../../../../etc/X11/$i $RPM_BUILD_ROOT/usr/X11R6/lib/X11/$i
done

#%ifarch sparc
# maybe we should remove this, replacing it with our own banner stuff.
# certain parts of the banner for UltraPenguin look a lot like Solaris's
# splash screen...
#mkdir -p $RPM_BUILD_ROOT/etc/X11/banner
#for i in XBanner1.ras.gz XBanner8.ras.gz XBannerG.ras.gz; do
#    cp -ar $RPM_SOURCE_DIR/$i $RPM_BUILD_ROOT/etc/X11/banner/$i
#done
#%endif

# we install our own config file for the xfs package
install -m 644 ${RPM_SOURCE_DIR}/xfs.config $RPM_BUILD_ROOT/etc/X11/fs/config

# we get xinit from a separate package
rm -rf $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xinit
ln -sf ../../../../etc/X11/xinit $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xinit

# Fix up symlinks
mkdir -p $RPM_BUILD_ROOT/usr/bin $RPM_BUILD_ROOT/usr/man
mkdir -p $RPM_BUILD_ROOT/usr/include $RPM_BUILD_ROOT/usr/lib
ln -sf ../X11R6/bin $RPM_BUILD_ROOT/usr/bin/X11
ln -sf ../X11R6/man $RPM_BUILD_ROOT/usr/man/X11
ln -sf ../X11R6/include/X11 $RPM_BUILD_ROOT/usr/include/X11
ln -sf ../X11R6/lib/X11 $RPM_BUILD_ROOT/usr/lib/X11

(set +x; strip $RPM_BUILD_ROOT/usr/X11R6/bin/*)

for n in libX11.so.6.1 libICE.so.6.3 libSM.so.6.0 libXext.so.6.3 libXt.so.6.0 \
	 libXmu.so.6.0 libXaw.so.6.1 libXIE.so.6.0 libXi.so.6.0 \
	 libXtst.so.6.1; do
	ln -sf $n $RPM_BUILD_ROOT/usr/X11R6/lib/`echo $n | sed "s/\.so.*/\.so/"`
done

# this gets the wrong permissions by default -- I don't know or care why
chmod 755 $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xkb/geometry/sgi

# this certainly doesn't need to be setuid
chmod 755 $RPM_BUILD_ROOT/usr/X11R6/bin/dga

%ifarch i386 sparc m68k
  ln -sf libPEX5.so.6.0 $RPM_BUILD_ROOT/usr/X11R6/lib/libPEX5.so.6
%endif

%post libs
grep "^/usr/X11R6/lib$" /etc/ld.so.conf >/dev/null 2>&1
[ $? -ne 0 ] && echo "/usr/X11R6/lib" >> /etc/ld.so.conf
/sbin/ldconfig

%postun libs
if [ "$1" = "0" ]; then
        grep -v "/usr/X11R6/lib" /etc/ld.so.conf > /etc/ld.so.conf.new
	mv -f /etc/ld.so.conf.new /etc/ld.so.conf
fi
/sbin/ldconfig

%verifyscript libs
echo -n "Looking for /usr/X11R6/lib in /etc/ld.so.conf... "
if ! grep "^/usr/X11R6/lib$" /etc/ld.so.conf > /dev/null; then
    echo "missing"
    echo "/usr/X11R6/lib missing from /etc/ld.so.conf" >&2
else
    echo "found"
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%config %doc /usr/X11R6/lib/X11/XF86Config.eg
%docdir /usr/X11R6/lib/X11/doc

%ifarch i386 alpha sparc
%doc /usr/X11R6/lib/X11/Cards
%endif

%dir /usr/X11R6
%dir /usr/X11R6/lib
%dir /usr/X11R6/lib/X11
%dir /usr/X11R6/lib/X11/rstart
%dir /usr/X11R6/lib/X11/rstart/commands
%dir /usr/X11R6/lib/X11/rstart/commands/x11r6
%dir /usr/X11R6/lib/X11/rstart/contexts
%dir /usr/X11R6/lib/X11/etc
%dir /usr/X11R6/lib/X11/fonts
%dir /usr/X11R6/lib/X11/xserver
%ifarch i386 alpha m68k
/usr/X11R6/lib/modules
%endif


%dir /usr/X11R6/bin

#%ifarch sparc
#/etc/X11/banner
#%endif

%config /etc/pam.d/xdm
%config /etc/X11/twm/system.twmrc
%config /etc/X11/xsm/system.xsm
%config /etc/X11/xdm/xdm-config
%config /etc/X11/xdm/chooser
%config /etc/X11/xdm/Xsetup_0
%config /etc/X11/xdm/Xsession
%config /etc/X11/xdm/Xservers
%config /etc/X11/xdm/Xresources
%config /etc/X11/xdm/Xaccess
%config /etc/X11/xdm/TakeConsole
%config /etc/X11/xdm/GiveConsole

/usr/X11R6/lib/X11/XErrorDB
/usr/X11R6/lib/X11/XKeysymDB
/usr/X11R6/lib/X11/locale
/usr/X11R6/lib/X11/lbxproxy
/usr/X11R6/lib/X11/proxymngr
%config /usr/X11R6/lib/X11/app-defaults/*

/usr/X11R6/lib/X11/xkb
/usr/X11R6/lib/X11/xinit
/usr/X11R6/lib/X11/xdm
/usr/X11R6/lib/X11/twm
/usr/X11R6/lib/X11/xsm

/usr/X11R6/lib/X11/xserver/SecurityPolicy
/usr/X11R6/lib/X11/XF86Config
/usr/X11R6/lib/X11/rstart/rstartd.real
%config /usr/X11R6/lib/X11/rstart/config
/usr/X11R6/lib/X11/rstart/commands/x11r6/@List
/usr/X11R6/lib/X11/rstart/commands/x11r6/LoadMonitor
/usr/X11R6/lib/X11/rstart/commands/x11r6/Terminal
/usr/X11R6/lib/X11/rstart/commands/@List
/usr/X11R6/lib/X11/rstart/commands/ListContexts
/usr/X11R6/lib/X11/rstart/commands/ListGenericCommands
/usr/X11R6/lib/X11/rstart/contexts/@List
/usr/X11R6/lib/X11/rstart/contexts/default
/usr/X11R6/lib/X11/rstart/contexts/x11r6
/usr/X11R6/lib/X11/x11perfcomp
/usr/X11R6/lib/X11/doc
/usr/X11R6/lib/X11/etc/sun.termcap
/usr/X11R6/lib/X11/etc/sun.terminfo
/usr/X11R6/lib/X11/etc/xterm.termcap
/usr/X11R6/lib/X11/etc/xterm.terminfo

%ifarch i386 alpha sparc
/usr/X11R6/lib/X11/etc/et4000clock.c
%endif

/usr/X11R6/lib/X11/etc/xmodmap.std
/usr/X11R6/lib/X11/etc/postinst.sh
/usr/X11R6/lib/X11/etc/preinst.sh
%attr(4711,root,root)		/usr/X11R6/bin/Xwrapper
/usr/X11R6/bin/X
/usr/X11R6/bin/Xprt
/usr/X11R6/bin/lbxproxy
/usr/X11R6/bin/proxymngr
/usr/X11R6/bin/rstartd
/usr/X11R6/bin/xfindproxy
/usr/X11R6/bin/xfwp
/usr/X11R6/bin/xrx
/usr/X11R6/bin/lndir
/usr/X11R6/bin/mkdirhier
/usr/X11R6/bin/gccmakedep
/usr/X11R6/bin/mergelib
/usr/X11R6/bin/makeg
/usr/X11R6/bin/appres
/usr/X11R6/bin/bdftopcf
/usr/X11R6/bin/beforelight
/usr/X11R6/bin/bitmap
/usr/X11R6/bin/bmtoa
/usr/X11R6/bin/atobm
/usr/X11R6/bin/editres
/usr/X11R6/bin/iceauth
/usr/X11R6/bin/mkfontdir
/usr/X11R6/bin/showrgb
/usr/X11R6/bin/rstart
/usr/X11R6/bin/smproxy
/usr/X11R6/bin/twm
/usr/X11R6/bin/x11perf
/usr/X11R6/bin/x11perfcomp
/usr/X11R6/bin/Xmark
/usr/X11R6/bin/xauth
/usr/X11R6/bin/xclipboard
/usr/X11R6/bin/xcutsel
/usr/X11R6/bin/xclock
/usr/X11R6/bin/xcmsdb
/usr/X11R6/bin/xconsole
/usr/X11R6/bin/xdm
/usr/X11R6/bin/sessreg
/usr/X11R6/bin/xdpyinfo
%attr(0755,root,root)		/usr/X11R6/bin/dga
/usr/X11R6/bin/xfd
/usr/X11R6/bin/xhost
/usr/X11R6/bin/xieperf
/usr/X11R6/bin/xinit
%config /usr/X11R6/bin/startx
/usr/X11R6/bin/setxkbmap
/usr/X11R6/bin/xkbcomp
/usr/X11R6/bin/xkbevd
/usr/X11R6/bin/xkbprint
/usr/X11R6/bin/xkbvleds
/usr/X11R6/bin/xkbwatch
/usr/X11R6/bin/xkbbell
/usr/X11R6/bin/xkill
/usr/X11R6/bin/xlogo
/usr/X11R6/bin/xlsatoms
/usr/X11R6/bin/xlsclients
/usr/X11R6/bin/xlsfonts
/usr/X11R6/bin/xmag
/usr/X11R6/bin/xmh
/usr/X11R6/bin/xmodmap
/usr/X11R6/bin/xprop
/usr/X11R6/bin/xrdb
/usr/X11R6/bin/xset
/usr/X11R6/bin/xrefresh
/usr/X11R6/bin/xsetmode
/usr/X11R6/bin/xsetpointer
/usr/X11R6/bin/xsetroot
/usr/X11R6/bin/xsm
/usr/X11R6/bin/xstdcmap
%attr(4711,root,root)		/usr/X11R6/bin/xterm
/usr/X11R6/bin/resize
/usr/X11R6/bin/xvidtune
/usr/X11R6/bin/xwd
/usr/X11R6/bin/xwininfo
/usr/X11R6/bin/xwud
/usr/X11R6/bin/xon

%ifarch i386 alpha sparc
/usr/X11R6/bin/reconfig
/usr/X11R6/bin/xf86config
/usr/X11R6/bin/scanpci
/usr/X11R6/bin/SuperProbe
%endif

/usr/X11R6/include/X11/bitmaps

/usr/X11R6/man/man1/lbxproxy.1x
/usr/X11R6/man/man1/proxymngr.1x
/usr/X11R6/man/man1/xfindproxy.1x
/usr/X11R6/man/man1/xfwp.1x
/usr/X11R6/man/man1/xrx.1x
/usr/X11R6/man/man1/lndir.1x
/usr/X11R6/man/man1/makestrs.1x
/usr/X11R6/man/man1/makeg.1x
/usr/X11R6/man/man1/mkdirhier.1x
/usr/X11R6/man/man1/appres.1x
/usr/X11R6/man/man1/bdftopcf.1x
/usr/X11R6/man/man1/beforelight.1x
/usr/X11R6/man/man1/bitmap.1x
/usr/X11R6/man/man1/bmtoa.1x
/usr/X11R6/man/man1/atobm.1x
/usr/X11R6/man/man1/editres.1x
/usr/X11R6/man/man1/iceauth.1x
/usr/X11R6/man/man1/mkfontdir.1x
/usr/X11R6/man/man1/showrgb.1x
/usr/X11R6/man/man1/rstart.1x
/usr/X11R6/man/man1/rstartd.1x
/usr/X11R6/man/man1/smproxy.1x
/usr/X11R6/man/man1/twm.1x
/usr/X11R6/man/man1/x11perf.1x
/usr/X11R6/man/man1/x11perfcomp.1x
/usr/X11R6/man/man1/xauth.1x
/usr/X11R6/man/man1/xclipboard.1x
/usr/X11R6/man/man1/xcutsel.1x
/usr/X11R6/man/man1/xclock.1x
/usr/X11R6/man/man1/xcmsdb.1x
/usr/X11R6/man/man1/xconsole.1x
/usr/X11R6/man/man1/xdm.1x
/usr/X11R6/man/man1/sessreg.1x
/usr/X11R6/man/man1/xdpyinfo.1x
/usr/X11R6/man/man1/dga.1x
/usr/X11R6/man/man1/xfd.1x
/usr/X11R6/man/man1/xhost.1x
/usr/X11R6/man/man1/xieperf.1x
/usr/X11R6/man/man1/xinit.1x
/usr/X11R6/man/man1/startx.1x
/usr/X11R6/man/man1/setxkbmap.1x
/usr/X11R6/man/man1/xkbcomp.1x
/usr/X11R6/man/man1/xkbevd.1x
/usr/X11R6/man/man1/xkbprint.1x
/usr/X11R6/man/man1/xkill.1x
/usr/X11R6/man/man1/xlogo.1x
/usr/X11R6/man/man1/xlsatoms.1x
/usr/X11R6/man/man1/xlsclients.1x
/usr/X11R6/man/man1/xlsfonts.1x
/usr/X11R6/man/man1/xmag.1x
/usr/X11R6/man/man1/xmh.1x
/usr/X11R6/man/man1/xmodmap.1x
/usr/X11R6/man/man1/xprop.1x
/usr/X11R6/man/man1/xrdb.1x
/usr/X11R6/man/man1/xrefresh.1x
/usr/X11R6/man/man1/xset.1x
/usr/X11R6/man/man1/xsetmode.1x
/usr/X11R6/man/man1/xsetpointer.1x
/usr/X11R6/man/man1/xsetroot.1x
/usr/X11R6/man/man1/xsm.1x
/usr/X11R6/man/man1/xstdcmap.1x
/usr/X11R6/man/man1/xterm.1x
/usr/X11R6/man/man1/resize.1x
/usr/X11R6/man/man1/xvidtune.1x
/usr/X11R6/man/man1/xwd.1x
/usr/X11R6/man/man1/xwininfo.1x
/usr/X11R6/man/man1/xwud.1x
/usr/X11R6/man/man1/xon.1x
/usr/X11R6/man/man1/Xserver.1x
/usr/X11R6/man/man1/XFree86.1x
/usr/X11R6/man/man5/XF86Config.5x

%ifarch i386 alpha sparc
/usr/X11R6/man/man1/reconfig.1x
/usr/X11R6/man/man1/xf86config.1x
/usr/X11R6/man/man1/SuperProbe.1x
%endif

/usr/X11R6/lib/X11/fonts/Speedo
/usr/X11R6/lib/X11/fonts/Type1
/usr/X11R6/lib/X11/fonts/misc

%config /usr/X11R6/lib/X11/rgb.txt

%ifarch i386 sparc m68k
/usr/X11R6/lib/X11/fonts/PEX
%endif

%files libs
%defattr(-,root,root,-)
/usr/X11R6/lib/*.so.6*

%files devel
%defattr(-,root,root,-)
/usr/X11R6/include
/usr/include/X11
/usr/X11R6/man/man3

/usr/X11R6/lib/X11/config
/usr/X11R6/bin/imake
/usr/X11R6/bin/makedepend
/usr/X11R6/bin/xmkmf

/usr/X11R6/man/man1/imake.1x
/usr/X11R6/man/man1/makedepend.1x
/usr/X11R6/man/man1/xmkmf.1x

/usr/X11R6/lib/*.a

/usr/X11R6/lib/*.so

%files Xvfb
%defattr(-,root,root,-)
/usr/X11R6/bin/Xvfb
/usr/X11R6/man/man1/Xvfb.1x

%files Xnest
%defattr(-,root,root,-)
/usr/X11R6/bin/Xnest
/usr/X11R6/man/man1/Xnest.1x

%ifarch i386 alpha
%files SVGA
%defattr(-,root,root,-)
/usr/X11R6/bin/XF86_SVGA
/usr/X11R6/man/man1/XF86_SVGA.1x
%endif

%ifarch i386 sparc
%files VGA16
%defattr(-,root,root,-)
/usr/X11R6/bin/XF86_VGA16
/usr/X11R6/man/man1/XF86_VGA16.1x
%endif

%ifarch i386
%files W32
%defattr(-,root,root,-)
/usr/X11R6/bin/XF86_W32
/usr/X11R6/man/man1/XF86_W32.1x
/usr/X11R6/man/man1/XF86_Accel.1x
%endif

%ifarch i386 alpha
%files Mono
%defattr(-,root,root,-)
/usr/X11R6/bin/XF86_Mono
/usr/X11R6/man/man1/XF86_Mono.1x
%endif

%ifarch i386 alpha
%files S3
%defattr(-,root,root,-)
/usr/X11R6/bin/XF86_S3
/usr/X11R6/man/man1/XF86_S3.1x
/usr/X11R6/man/man1/XF86_Accel.1x
%endif

%ifarch i386 alpha
%files S3V
%defattr(-,root,root,-)
/usr/X11R6/bin/XF86_S3V
/usr/X11R6/man/man1/XF86_S3.1x
/usr/X11R6/man/man1/XF86_Accel.1x
%endif

%ifarch i386
%files 8514
%defattr(-,root,root,-)
/usr/X11R6/bin/XF86_8514
/usr/X11R6/man/man1/XF86_8514.1x
/usr/X11R6/man/man1/XF86_Accel.1x
%endif

%ifarch i386
%files Mach8
%defattr(-,root,root,-)
/usr/X11R6/bin/XF86_Mach8
/usr/X11R6/man/man1/XF86_Mach8.1x
/usr/X11R6/man/man1/XF86_Accel.1x
%endif

%ifarch i386
%files Mach32
%defattr(-,root,root,-)
/usr/X11R6/bin/XF86_Mach32
/usr/X11R6/man/man1/XF86_Mach32.1x
/usr/X11R6/man/man1/XF86_Accel.1x
%endif

%ifarch i386 alpha sparc
%files Mach64
%defattr(-,root,root,-)
/usr/X11R6/bin/XF86_Mach64
/usr/X11R6/man/man1/XF86_Mach64.1x
/usr/X11R6/man/man1/XF86_Accel.1x
%endif

%ifarch i386 alpha
%files P9000
%defattr(-,root,root,-)
/usr/X11R6/bin/XF86_P9000
/usr/X11R6/man/man1/XF86_P9000.1x
/usr/X11R6/man/man1/XF86_Accel.1x
%endif

%ifarch i386
%files AGX
%defattr(-,root,root,-)
/usr/X11R6/bin/XF86_AGX
/usr/X11R6/man/man1/XF86_AGX.1x
/usr/X11R6/man/man1/XF86_Accel.1x
%endif

%ifarch i386
%files I128
%defattr(-,root,root,-)
/usr/X11R6/bin/XF86_I128
/usr/X11R6/man/man1/XF86_I128.1x
/usr/X11R6/man/man1/XF86_Accel.1x
%endif

%ifarch i386
%files 3DLabs
%defattr(-,root,root,-)
/usr/X11R6/bin/XF86_3DLabs
/usr/X11R6/man/man1/XF86_Accel.1x
%endif


%ifarch alpha
%files TGA
%defattr(-,root,root,-)
/usr/X11R6/bin/XF86_TGA
%endif

%ifarch m68k
%files FBDev
%defattr(-,root,root,-)
/usr/X11R6/bin/XF68_FBDev
/usr/X11R6/man/man1/XF68_FBDev.1x
%endif

%ifarch sparc
%files Sun
%defattr(-,root,root,-)
/usr/X11R6/bin/Xsun
%endif

%ifarch sparc
%files SunMono
%defattr(-,root,root,-)
/usr/X11R6/bin/XsunMono
%endif

%ifarch sparc
%files Sun24
%defattr(-,root,root,-)
/usr/X11R6/bin/Xsun24
%endif

%files 75dpi-fonts
%defattr(-,root,root,-)
/usr/X11R6/lib/X11/fonts/75dpi

%files 100dpi-fonts
%defattr(-,root,root,-)
/usr/X11R6/lib/X11/fonts/100dpi

%files cyrillic-fonts
%defattr(-,root,root,-)
/usr/X11R6/lib/X11/fonts/cyrillic

%ifarch i386
%files XF86Setup
%defattr(-,root,root,-)
/usr/X11R6/bin/XF86Setup
/usr/X11R6/bin/xmseconfig
/usr/X11R6/lib/X11/XF86Setup
/usr/X11R6/man/man1/XF86Setup.1x
/usr/X11R6/man/man1/xmseconfig.1x
%endif

%files xfs
%config /etc/X11/fs/config
/usr/X11R6/lib/X11/fs
/usr/X11R6/bin/fsinfo
/usr/X11R6/bin/fslsfonts
/usr/X11R6/bin/fstobdf
/usr/X11R6/bin/xfs
/usr/X11R6/man/man1/xfs.1x
/usr/X11R6/man/man1/fsinfo.1x
/usr/X11R6/man/man1/fslsfonts.1x
/usr/X11R6/man/man1/fstobdf.1x

%changelog
* Mon Jan 11 1999 Preston Brown <pbrown@redhat.com>
- integrated 3.3.3.1 patch, removed obsoleted patches.

* Mon Dec 14 1998 Preston Brown <pbrown@redhat.com>
- added permedia chipset clockchip bugfix

* Wed Dec 09 1998 Preston Brown <pbrown@redhat.com>
- alpha sockets patch added, all freetype stuff removed, ultrapeng. banner gone

* Thu Dec 03 1998 Preston Brown <pbrown@redhat.com>
- moved lib/modules and lib/X11/xkb dirs into main package to fix conflicts.

* Wed Dec 02 1998 Preston Brown <pbrown@redhat.com>
- backported package to 5.2.

* Mon Nov 30 1998 Preston Brown <pbrown@redhat.com>
- the big update to XFree 3.3.3. Lots of changes, many patches were merged in.

* Wed Nov 11 1998 Jeff Johnson <jbj@redhat.com>
- sync with ultrapenguin 1.1.
- add __alpha__ check to Imake.cf

* Thu Oct 22 1998 Preston Brown <pbrown@redhat.com>
- added empty fonts.dir and fonts.scale to TrueType dir.

* Wed Oct 21 1998 Preston Brown <pbrown@redhat.com>
- rolled in truetype support to X server / xfs via FreeType.
- separated font server stuff into a separate package

* Thu Oct 08 1998 Cristian Gafton <gafton@redhat.com>
- disabled the S3V patch introduced by Preston
- updated czech patch
- added NeoMagic NM2200 chipset support
- updated NeoMagic patches

* Mon Oct  5 1998 Jakub Jelinek <jj@ultra.linux.cz>
- Acceleration for Creator/Creator3D support.
- Show banner on startup for SPARC Mach64 server as well.

* Fri Oct 02 1998 Preston Brown <pbrown@redhat.com>
- patched cards database to use old S3V driver for most cards

* Wed Sep 30 1998 Cristian Gafton <gafton@redhat.com>
- enhance Xession to read user's .Xmodmap and .Xresources
- TGA patches from Jay
- alpha lnx_video patch from Jay Estabrook
- czech and slovak patches
- added Neomagic patches
- enabled XF86Setup
- added cyrillic fonts to the %files list
- ifarch i386 for XFree86-Setup package

* Thu Aug 27 1998 Jeff Johnson
- another 1386 -> i386 typo (sigh).

* Mon Aug 10 1998 Jeff Johnson <jbj@redhat.com>
- add PAM_TTY to xdm patch.

* Wed Jul 29 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.3.2.3

* Sat Jun 27 1998 Matti Aarnio <matti.aarnio@sonera.fi>
- Four patches for 64-bit systems.

* Tue Jun 23 1998 Eddie C. Dost <ecd@skynet.be>
- Fix mach64/SPARC PCI.

* Thu Jun 11 1998 Jeff Johnson <jbj@redhat.com>
- Merge in m68k changes.

* Mon Jun  8 1998 Jeff Johnson <jbj@redhat.com>
- Add build root.

* Thu Jun 04 1998 Prospector System <bugs@redhat.com>
- translations modified for fr

* Tue Jun 02 1998 Erik Troan <ewt@redhat.com>
- added more security fixes

* Mon May 25 1998 Jakub Jelinek <jj@ultra.linux.cz>
- Merged SPARC port with 3.3.2
- Show banner on startup for Xsun* servers

* Tue May 19 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr

* Wed May 13 1998 Jeff Johnson <jbj@redhat.com>
- Merge in sparc changes.

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue May 05 1998 Jakub Jelinek <jj@ultra.linux.cz>
- Fix colormaps on SBUS cards, add /dev/fb to the list
  of checked devices even for XSunMono

* Mon May 04 1998 Erik Troan <ewt@redhat.com>
- included security fix which fixes a large number of problems

* Wed Apr 22 1998 Jakub Jelinek <jj@ultra.linux.cz>
- Fix fb mapping on non-accelerated SBUS cards
- Further PCI SPARC changes (from ecd).

* Tue Apr 14 1998 Jakub Jelinek <jj@ultra.linux.cz>
- Merge in PCI SPARC support (written by Eddie C. Dost).

* Tue Apr 07 1998 Jakub Jelinek <jj@ultra.linux.cz>
- Unmap all fb mappings before closing fb in SBUS servers,
  otherwise new kernels don't call fb_close and bad things
  happen.

* Mon Mar 30 1998 Erik Troan <ewt@redhat.com>
- switched to using the Xwrapper from XFree86 rather then a separate package

* Sat Mar 21 1998 Jakub Jelinek <jj@ultra.linux.cz>
- built sparc version against glibc

* Sat Mar 21 1998 Michal Rehacek <majkl@iname.com>
- Accelerated support for Creator/Creator3D

* Tue Mar 03 1998 Erik Troan <ewt@redhat.com>
- updated to XFree86 3.3.2

* Fri Jan 16 1998 Erik Troan <ewt@redhat.com>
- turned off setuid bit for X servers
- require xserver-wrapper (which replaces /usr/X11R6/bin/X)

* Wed Nov 05 1997 Erik Troan <ewt@redhat.com>
- removed XF86Setup
- updated file list to include some missing files

* Tue Nov 04 1997 Michael K. Johnson <johnsonm@redhat.com>
- New PAM conversation function conventions

* Mon Sep 29 1997 Erik Troan <ewt@redhat.com>
- built against tcl/tk 8.0

* Wed Sep 03 1997 Erik Troan <ewt@redhat.com>
- set libc version to 6 (which turns on thread support as well)
- used wildcards more liberally in file lists

* Tue Sep 02 1997 Erik Troan <ewt@redhat.com>
- added notiocsltc patch
- added /usr/X11R6/lib/X11/xserver/SecurityPolicy

* Fri Aug 22 1997 Erik Troan <ewt@redhat.com>
- updated to XFree86 3.3.1

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- add shlibs patch, we links shared libraries against -lc

* Thu Jun 12 1997 Erik Troan <ewt@redhat.com>
- Increased release number to 10 for glibc version

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- Updated to XFree86 3.3

* Thu Mar 20 1997 Erik Troan <ewt@redhat.com>
- Changed xdm to use xbanner
- Changed xdm paths to point to /var/run, /var/log, /etc/X11/xdm instead
  of all pointing to /usr/X11R6/lib/X11/xdm

* Thu Mar 06 1997 Erik Troan <ewt@redhat.com>
- Modified to use pam.d.
